savebackconfig: true
configversion:
  notify: false
  created: 632
  saved: 785
logging:
  active: true
  maxqueuesize: 5000
  extended:
    status: true
    allviolations:
      debugonly: true
      backend:
        trace: true
        notify: true
  backend:
    console:
      active: true
      prefix: '[NCP] '
      asynchronous: true
    file:
      active: true
      prefix: ''
      filename: /var/customers/webs/nuanceweb/survival-ncp/
    ingamechat:
      active: true
      prefix: '&cNCP: &f'
      subscriptions: false
data:
  expiration:
    active: true
    duration: 30
    history: false
  consistencychecks:
    active: true
    interval: 10
    maxtime: 2
    suppresswarnings: false
protection:
  plugins:
    hide:
      active: true
      nopermission:
        message: '&cI''m sorry, but you do not have permission to perform this command. Please contact the server administrators if you believe that this is in error.'
        commands:
        - bukkit:about
        - bukkit:pl
        - bukkit:plugins
        - bukkit:ver
        - bukkit:version
        - minecraft:kill
      unknowncommand:
        message: Unknown command. Type "/help" for help.
        commands: []
  commands:
    consoleonly:
      active: false
      message: '&cI''m sorry, but this command can''t be executed in chat. Use the console instead!'
      commands:
      - op
      - deop
  clients:
    motd:
      active: false
      allowall: false
checks:
  blockbreak:
    direction:
      active: true
      actions: cancel vl>10 log:bdirection:0:5:if cancel
    fastbreak:
      active: true
      strict: false
      delay: 90
      intervalsurvival: 100
      grace: 2000
      actions: cancel vl>0 log:fastbreak:3:5:cif cancel
    frequency:
      active: false
      intervalcreative: 95
      intervalsurvival: 45
      shortterm:
        ticks: 5
        limit: 7
      actions: cancel vl>5 log:bbfrequency:3:5:if cancel vl>60 log:bbfrequency:0:5:cif cancel cmd:kickfrequency
    noswing:
      active: false
      actions: cancel vl>10 log:noswing:0:5:if cancel
    reach:
      active: true
      actions: cancel vl>5 log:breach:0:2:if cancel
    wrongblock:
      active: true
      level: 10
      actions: cancel vl>10 log:bwrong:0:5:if cancel vl>30 log:bwrong:0:5:cif cancel cmd:kickwb
  blockinteract:
    direction:
      active: true
      actions: cancel vl>10 log:bdirection:0:3:if cancel
    reach:
      active: true
      actions: cancel vl>5 log:breach:0:2:if cancel
    speed:
      active: true
      interval: 2000
      limit: 60
      actions: cancel vl>200 log:bspeed:0:2:if cancel vl>1000 cancel log:bspeed:0:2:icf cmd:kickbspeed
    visible:
      active: true
      actions: vl>5 log:bvisible:0:2:cif
  blockplace:
    against:
      active: true
      actions: cancel
    autosign:
      active: true
      skipempty: false
      actions: cancel vl>10 log:bautosign:0:3:if cancel
    direction:
      active: true
      actions: cancel vl>10 log:bdirection:0:3:if cancel
    fastplace:
      active: true
      limit: 22
      shortterm:
        ticks: 10
        limit: 6
      actions: cancel vl>100 log:fastplace:3:5:cif cancel
    reach:
      active: true
      actions: cancel vl>5 log:breach:0:2:if cancel
    noswing:
      active: false
      exceptions:
      - WATER_LILY
      - FLINT_AND_STEEL
      actions: cancel vl>10 log:noswing:0:5:if cancel
    speed:
      active: true
      interval: 45
      actions: cancel vl>150 log:bpspeed:3:5:if cancel vl>1000 log:bpspeed:3:5:cif cancel
  chat:
    color:
      active: false
      actions: log:color:0:1:if cancel
    commands:
      active: true
      exclusions: []
      handleaschat:
      - me
      - tell
      - msg
      - w
      level: 10
      shortterm:
        ticks: 18
        level: 3
      actions: log:commands:0:5:cf cancel cmd:kickcommands vl>20 log:commands:0:5:cf cancel cmd:tempkick1
    captcha:
      active: false
      characters: abcdefghjkmnpqrtuvwxyzABCDEFGHJKMNPQRTUVWXYZ2346789
      length: 6
      question: '&cPlease type ''&6[captcha]&c'' to continue sending messages/commands.'
      success: '&aOK, it sounds like you''re not a spambot.'
      tries: 3
      actions: cancel cmd:kickcaptcha vl>4 log:captcha:2:5:cf cancel cmd:kickcaptcha
    text:
      active: true
      allowvlreset: true
      frequency:
        normal:
          minimum: 0.0
          factor: 0.9
          weight: 6
          level: 160
          actions: cancel cmd:tellchatnormal vl>7 log:chatnormal:0:5:f cancel cmd:tellchatnormal vl>20 log:chatnormal:0:5:cf cancel cmd:kickchatnormal vl>40 log:chatnormal:0:5:cf cancel cmd:kickchat5
        shortterm:
          minimum: 2.0
          factor: 0.7
          weight: 3.0
          level: 20.0
          actions: log:chatfast:0:5:cf cancel cmd:kickchatfast vl>20 log:chatfast:0:5:cf cancel cmd:kickchat1 vl>40 log:chatfast:0:5:cf cancel cmd:kickchat5
      message:
        lettercount: 1.0
        partition: 1.0
        uppercase: 1.0
        afterjoin: 1.5
        nomoving: 1.5
        repeatviolation: 1.0
        repeatglobal: 1.0
        repeatself: 1.5
        words:
          lengthav: 1.0
          lengthmsg: 1.0
          noletter: 0.0
      global:
        active: true
        weight: 1.0
        words:
          active: false
        prefixes:
          active: false
        similarity:
          active: true
      player:
        active: true
        words:
          active: false
        prefixes:
          active: false
        similarity:
          active: true
    warning:
      active: true
      level: 67
      message: |-
        &e>>>
        &e>>> &cPlease &eslow down &cchat, &eyou might get kicked &cfor spam.
        &e>>>
      timeout: 10
    relog:
      active: false
      timeout: 1500
      warning:
        message: '&cYou relogged too quickly! Please wait 15 seconds next time.'
        number: 0
        timeout: 60000
      kickmessage: Too fast re-login, wait 2 seconds.
      actions: log:relog:0:10:cf cancel vl>20 log:relog:0:10:cf cancel cmd:tempkick5
    logins:
      active: false
      startupdelay: 600
      perworldcount: false
      seconds: 10
      limit: 10
      kickmessage: Too many people logging in, retry soon.
  combined:
    bedleave:
      active: true
      actions: cancel log:bedleave:0:5:if cmd:kickbedleave
    enderpearl:
      active: true
      preventclickblock: false
    improbable:
      active: true
      level: 300
      actions: cancel log:improbable:2:8:if
    invulnerable:
      active: true
      triggers:
        always: false
        falldistance: true
      initialticks:
        join: -1
      ignore:
      - FALL
      modifiers:
        all: 0
    munchhausen:
      active: true
      actions: cancel vl>100 cancel log:munchhausen:0:60:if
    yawrate:
      rate: 380
      penalty:
        factor: 1.0
        minimum: 250
        maximum: 2000
      improbable: false
  fight:
    canceldead: true
    toolchangepenalty: 500
    pvp:
      knockbackvelocity: true
    yawrate:
      active: true
    angle:
      active: true
      threshold: 50
      actions: cancel vl>100 log:angle:3:5:f cancel vl>250 log:angle:0:5:cif cancel
    critical:
      active: true
      falldistance: 0.01
      actions: cancel vl>50 log:critical:0:5:cif cancel
    direction:
      active: true
      strict: false
      penalty: 500
      actions: cancel vl>5 log:fdirection:3:5:f cancel vl>20 log:fdirection:0:5:if cancel vl>50 log:fdirection:0:5:cif cancel
    fastheal:
      active: true
      interval: 4000
      buffer: 1000
      actions: cancel vl>10 cancel log:fastheal:0:10:i vl>30 cancel log:fastheal:0:10:if
    godmode:
      active: true
      minage: 1100
      maxage: 5000
      actions: log:godmode:2:5:if cancel vl>60 log:godmode:2:5:icf cancel
    noswing:
      active: true
      actions: cancel vl>10 log:noswing:0:5:if cancel
    reach:
      active: true
      survivaldistance: 4.4
      penalty: 500
      reduce: true
      reducedistance: 0.9
      reducestep: 0.15
      actions: cancel vl>10 log:freach:2:5:if cancel
    selfhit:
      active: false
      actions: log:fselfhit:0:5:if cancel vl>10 log:fselfhit:0:5:icf cancel cmd:kickselfhit
    speed:
      active: false
      limit: 15
      actions: log:fspeed:0:5:if cancel
      shortterm:
        ticks: 7
        limit: 6
  inventory:
    drop:
      active: false
      limit: 100
      timeframe: 20
      actions: log:drop:0:1:cif cancel cmd:dropkick:0:1
    fastclick:
      active: false
      sparecreative: true
      tweaks1_5: true
      limit:
        shortterm: 4
        normal: 15
      actions: cancel vl>50 log:fastclick:3:5:cif cancel
    instantbow:
      active: true
      strict: true
      delay: 130
      actions: cancel vl>15 log:instantbow:2:5:if cancel
    instanteat:
      active: true
      actions: log:instanteat:2:5:if cancel
    fastconsume:
      active: true
      duration: 0.7
      whitelist: false
      items: []
      actions: log:fastconsume:2:5:cif
    gutenberg:
      active: true
      actions: cancel log:gutenberg:0:10:icf cmd:kickinvaliddata
    items:
      active: false
    open:
      active: false
      close: false
      cancelother: false
  moving:
    creativefly:
      active: false
      ignoreallowflight: false
      ignorecreative: false
      model:
        creative:
          horizontalspeed: 1300
          verticalspeed: 3000
          maxheight: 300
        spectator:
          horizontalspeed: 400
          verticalspeed: 100
          maxheight: 128
      actions: log:flyshort:3:5:f cancel vl>100 log:flyshort:0:5:if cancel vl>400 log:flylong:0:5:cif cancel
    morepackets:
      active: true
      seconds: 6
      epsideal: 30
      epsmax: 60
      burst:
        packets: 40
        directviolation: 60
        epmviolation: 180
      actions: cancel vl>10 log:morepackets:0:2:if cancel vl>100 log:morepackets:0:2:if cancel cmd:kickpackets
    morepacketsvehicle:
      active: true
      actions: cancel vl>10 log:morepackets:0:2:if cancel vl>100 log:morepackets:0:2:if cancel cmd:kickpackets
    nofall:
      active: false
      dealdamage: false
      resetonviolation: false
      resetonteleport: true
      resetonvehicle: true
      anticriticals: true
      actions: vl>100 log:nofall:1:20:cif
    passable:
      active: false
      raytracing:
        active: true
        blockchangeonly: true
      actions: vl>100 log:passable:2:20:cif
      untracked:
        teleport:
          active: false
        command:
          active: false
          tryteleport: false
          prefixes:
          - minecraft:tpx
          - tpx
    survivalfly:
      active: true
      extended:
        vertical-accounting: true
      falldamage: false
      actions: vl>1000 log:flyshort:1:5:cif
      hover:
        active: false
        step: 5
        ticks: 85
        loginticks: 0
        falldamage: true
        sfviolation: 500
    trace:
      size: 60
      mergedist: 0.9752
    vehicles:
      preventdestroyown: false
      enforcelocation: false
    velocity:
      graceticks: 20
      activationcounter: 80
      activationticks: 140
      strictinvalidation: true
    tempkickillegal: true
    loadchunks:
      join: false
    sprintinggrace: 2.0
    assumesprint: true
    speedgrace: 4.0
    enforcelocation: false
  net:
    flyingfrequency:
      active: true
      seconds: 5
      packetspersecond: 60
      actions: cancel
      reduceredundant:
        active: true
        seconds: 3
        actions: cancel
    keepalivefrequency:
      active: true
      actions: cancel vl>10 cancel log:keepalive:0:10:if vl>40 cancel log:keepalive:0:10:icf vl>100 cancel log:keepalive:0:10:icf cmd:kickalive
    sounddistance:
      active: true
      maxdistance: 320
strings:
  angle: '[player] failed [check]: tried to hit multiple entities at the same time. VL [violations].'
  ban: ban [player]
  ban-ip: ban-ip [ip]
  bautosign: '[player] failed [check]: failed autosign with [tags]. VL [violations].'
  bbfrequency: '[player] failed [check]: tried to break too many blocks within time frame. VL [violations].'
  bdirection: '[player] failed [check]: tried to interact with a block out of his line of sight. VL [violations].'
  bedleave: '[player] failed [check]: sends bed leave packets (was not in bed). VL [violations].'
  bpspeed: '[player] failed [check]: tried to throw projectiles too quickly. VL [violations].'
  breach: '[player] failed [check]: exceeds block-interact distance ([reachdistance]). VL [violations].'
  bspeed: '[player] failed [check]: interacts too fast. VL [violations].'
  bvisible: '[player] failed [check]: interacts with a block out of sight. VL [violations].'
  bwrong: '[player] failed [check]: broke another block than clicked. VL [violations].'
  captcha: '[player] failed captcha repeatedly. VL [violations].'
  chatnormal: '[player] failed [check]: potentially annoying chat. VL [violations].'
  color: '[player] failed [check]: sent colored chat message. VL [violations].'
  commands: '[player] failed [check]: issued too many commands. VL [violations].'
  combspeed: '[player] failed [check]: performs different actions at very high speed. VL [violations].'
  critical: '[player] failed [check]: tried to do a critical hit but wasn''t technically jumping [tags]. VL [violations].'
  drop: '[player] failed [check]: tried to drop more items than allowed. VL [violations].'
  dropkick: ncp delay ncp kick [player] Dropping items too fast.
  fastbreak: '[player] failed [check]: tried to break blocks ([blockid]) faster than possible. VL [violations].'
  fastclick: '[player] failed [check]: tried to move items in his inventory too quickly. VL [violations].'
  fastconsume: '[player] failed [check]: consumes [food] [tags] too fast. VL [violations].'
  fastheal: '[player] failed [check]: regenerates health faster than usual. VL [violations].'
  fastplace: '[player] failed [check]: tried to place too many blocks. VL [violations].'
  fdirection: '[player] failed [check]: tried to hit an entity out of line of sight. VL [violations].'
  flyshort: '[player] failed [check]: tried to move unexpectedly. VL [violations].'
  flylong: '[player] failed [check]: tried to move from [locationfrom] to [locationto] over a distance of [distance] block(s). VL [violations].'
  freach: '[player] failed [check]: tried to attack entity out of reach. VL [violations].'
  fselfhit: '[player] failed [check]: tried to self-hit. VL [violations].'
  fspeed: '[player] failed [check]: tried to attack with too high a frequency. VL [violations].'
  gutenberg: '[player] failed [check]: created a book with too many pages. VL [violations].'
  godmode: '[player] failed [check]: avoided taking damage or lagging. VL [violations].'
  improbable: '[player] failed [check]: meets the improbable more than expected. VL [violations].'
  instantbow: '[player] failed [check]: fires bow too fast. VL [violations].'
  instanteat: '[player] failed [check]: eats food [food] too fast. VL [violations].'
  keepalive: '[player] failed [check]: spams keep-alive packets (god/freecam?). VL [violations].'
  kick: kick [player]
  kickalive: ncp kick [player] Too many keep-alive packets.
  kickbedleave: ncp delay ncp kick [player] Go find a bed!
  kickbspeed: ncp kick [player] You interacted too fast!
  kickcaptcha: ncp kick [player] Enter the captcha!
  kickchat1: ncp tempkick [player] 1 You're still not allowed to spam!
  kickchat5: ncp tempkick [player] 5 You're not intended to spam!
  kickchatfast: ncp kick [player] You're not allowed to spam in chat!
  kickchatnormal: ncp kick [player] Too many chat messages, take a break.
  kickcommands: ncp tempkick [player] 1 You're not allowed to spam commands!
  kickfly: ncp delay ncp kick [player] Kicked for flying (or related)
  kickfrequency: ncp kick [player] You did something too fast!
  kickgod: ncp kick [player] God mode?
  kickinvaliddata: ncp kick [player] Invalid data.
  kickpackets: ncp delay ncp kick [player] Too many packets (extreme lag?)
  kickselfhit: ncp kick [player] You tried to hit yourself!
  kickwb: ncp kick [player] Block breaking out of sync!
  knockback: '[player] failed [check]: tried to do a knockback but wasn''t technically sprinting. VL [violations].'
  morepackets: '[player] failed [check]: sent [packets] more packet(s) than expected. VL [violations].'
  munchhausen: '[player] failed [check]: almost made it off the pit. VL [violations].'
  nofall: '[player] failed [check]: tried to avoid fall damage. VL [violations].'
  chatfast: '[player] failed [check]: acted like spamming (IP: [ip]). VL [violations].'
  noswing: '[player] failed [check]: didn''t swing arm. VL [violations].'
  passable: '[player] failed [check]: moved into a block ([blockid]). VL [violations].'
  relog: '[player] failed [check]: relogs too fast. VL [violations].'
  tellchatnormal: 'ncp tell [player] &cNCP: &eToo many messages, slow down...'
  tempkick1: ncp tempkick [player] 1 Wait a minute!
  tempkick5: ncp tempkick [player] 5 You have five minutes to think about it!
compatibility:
  managelisteners: false
  exemptions:
    remove:
      join: true
      leave: true
  server:
    cbdedicated:
      enable: true
    cbreflect:
      enable: true
  blocks:
    ignorepassable:
    - WOODEN_DOOR
    - SPRUCE_DOOR
    - BIRCH_DOOR
    - JUNGLE_DOOR
    - DARK_OAK_DOOR
    - ACACIA_DOOR
    - IRON_DOOR_BLOCK
    - TRAP_DOOR
    - PISTON_EXTENSION
    - PISTON_MOVING_PIECE
    - SAND
    - GRAVEL
    - FENCE_GATE
    - SPRUCE_FENCE_GATE
    - BIRCH_FENCE_GATE
    - JUNGLE_FENCE_GATE
    - DARK_OAK_FENCE_GATE
    - ACACIA_FENCE_GATE
    - LADDER
    - VINE
    - SIGN
    - IRON_TRAPDOOR
    - BANNER
    - FENCE
    - SPRUCE_FENCE
    - BIRCH_FENCE
    - JUNGLE_FENCE
    - DARK_OAK_FENCE
    - ACACIA_FENCE
    - NETHER_FENCE
    - WEB
    - THIN_GLASS
    - STAINED_GLASS_PANE
    - ANVIL
    - COBBLE_WALL
    - SKULL
    - LEAVES
    - GOLD_PLATE
    - IRON_PLATE
    - STONE_PLATE
    - WOOD_PLATE
    allowinstantbreak: []
    overrideflags:
      snow: default
  reporttometrics: false
